import recordAxiosInstance from "@/shared/services/recordAxiosInstance";
import Cookies from "js-cookie";
import { withHeaders } from "./withHeaders";
import type { AssignmentApiResponse } from "@/record-management/dto/AssignementStep";

export const getMovementSlip = async (
  recordId: string
): Promise<AssignmentApiResponse[]> => {
  try {
    const { data } = await recordAxiosInstance.get(
      `incoming-instances/movement-slip/${recordId}`,
      {
        headers: withHeaders(),
      }
    );

    return data;
  } catch (error) {
    throw error;
  }
};
